#
# spec file for package pccts (Version 1.33)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pccts
Copyright:    no major restrictions
Group:        Development/Tools
Autoreqprov:  on
Version:      1.33
Release:      360
Summary:      Purdue Compiler Construction Tool Set
URL:	      http://www.polhode.com/pccts.html
Source:       pccts133mr25.zip
BuildRoot:    /var/tmp/%{name}-BUILD

%description
PCCTS is a set of public domain software tools designed to facilitate the
implementation of compilers and other translation systems. These tools
currently include antlr, dlg and support code. In many ways, PCCTS is
similar to a highly integrated version of YACC [Joh78] and LEX [Les75];
where antlr (ANother Tool for Language Recognition) corresponds to YACC
and dlg (DFA-based Lexical analyzer Generator) functions like LEX.
However, PCCTS has many additional features which make it easier to
use for a wider range of translation problems.

Authors:
--------
    Terence Parr <parrt@parr-research.com>

SuSE series: d

%prep
%setup -c -T -n pccts
(cd .. && unzip %{S:0})

%build
make COPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/pccts/h
install -m 755 bin/antlr bin/dlg bin/genmk bin/sor ${RPM_BUILD_ROOT}/usr/bin 
install -m 644 antlr/antlr.1 dlg/dlg.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -m 644 h/* ${RPM_BUILD_ROOT}/usr/lib/pccts/h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/antlr
/usr/bin/dlg
/usr/bin/genmk
/usr/bin/sor
%doc %{_mandir}/man1/*
%doc {CHANGES*,KNOWN_PROBLEMS}.txt README RIGHTS history.{ps,txt}
/usr/lib/pccts/

%changelog -n pccts
* Tue Aug 07 2001 - cihlar@suse.cz
- update to 1.33mr25
* Tue May 29 2001 - pblaha@suse.cz
- fix include on ia64
* Thu Apr 06 2000 - smid@suse.cz
- buildroot added
- upgrade to 1.33mr22
* Mon Feb 07 2000 - ro@suse.de
- fixed filelist (bug#1886)
* Fri Jan 28 2000 - ro@suse.de
- specify int for omitted types
* Mon Jan 24 2000 - ro@suse.de
- specify int for omitted return type
* Fri Jan 21 2000 - ro@suse.de
- man to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 14 1998 - ro@suse.de
- initial suse pkg, version 1.33, needed to build cdrdao
